<?php
/** Start the engine **/
require_once(TEMPLATEPATH.'/lib/init.php');
require_once( CHILD_DIR . '/lib/admin/mog-theme-settings.php' );

/** Default Page Layout **/
// Register default site layout option
genesis_set_default_layout( 'sidebar-content' );


/** Add support for Custom Header Image **/
add_theme_support( 'genesis-custom-header', array( 'width' => 220, 'height' => 65 ) );

/** Add support for custom background **/
if (function_exists('add_custom_background')) {
	add_custom_background();
}

/** Unregister site layouts */
genesis_unregister_layout( 'content-sidebar' );
genesis_unregister_layout( 'content-sidebar-sidebar' );
genesis_unregister_layout( 'sidebar-sidebar-content' );
genesis_unregister_layout( 'sidebar-content-sidebar' );

	
unregister_sidebar('sidebar-alt');

//ini_set('display_errors', 1);

/** Remove page title from home **/

add_action('get_header', 'child_remove_page_titles');
function child_remove_page_titles() {
if (is_front_page()) {
remove_action('genesis_post_title', 'genesis_do_post_title');
}
}

add_action('get_header', 'child_selectively_remove_page_info');
function child_selectively_remove_page_info() {
if (is_tax( 'wpsc_product_category' ) || is_singular( 'wpsc-product' )) {
remove_action( 'genesis_before_post_content', 'genesis_post_info' );
}
}

// Reset the Loop

add_action( 'genesis_after_loop', 'wp_reset_query' );  

/**  New Widget Areas **/

//Replace Genesis Header with a custom one that adds an additional widget area
remove_action ('genesis_header', 'genesis_do_header');
add_action('genesis_header', 'genesis_3col_header');
function genesis_3col_header() {
	echo '<div id="title-area">';
		genesis_site_title();
		genesis_site_description();
	echo '</div>
<!-- end #title-area -->';
	echo '<div id="header-center">';
	echo '<div class="widget-area">';
			dynamic_sidebar('Header Center');
	echo '</div>
<!-- end .widget_area -->';
	echo '</div>
<!-- end #header-center -->';
		echo '<div class="widget-area">';
			dynamic_sidebar('Header Right');
		echo '</div>
<!-- end .widget_area -->';
}

genesis_register_sidebar(array( 'name'=>'Header Center',
 'description' => __('This is the Header Centered Widget area.', 'genesis'),
 'id' => 'header-center'
));

/** Register 404 page widget area */
genesis_register_sidebar( array(
	'id'		=> '404-page',
	'name'		=> __( '404 Page', 'mog' ),
	'description'	=> __( 'This is the widget area of the 404 Not Found Page Template.', 'mog' ),
) );

/** customise Search ... **/
 
// Remove the post meta function

remove_action('genesis_after_post_content', 'genesis_post_meta');

// Remove the Primary Navigation - Mog Theme uses Widget Menus - not the usual Primary/Secondary navs
remove_action( 'genesis_after_header', 'genesis_do_nav' );


/** Unhook Footer **/

remove_action('genesis_footer', 'genesis_do_footer');

 /* Remove the page title.
 */
function child_remove_my_template_page_title() {
    if ( is_page_template('page_my-template.php') )
        remove_action( 'genesis_post_title', 'genesis_do_post_title' );
}

/* Add our social sharing buttons to our theme
------------------------------------------------------------ */
 
add_action( 'genesis_post_content', 'mogsettings_social_sharing_buttons' );
/**
 * mogsettings_social_sharing_buttons function.
 *
 * This function displays social sharing buttons based on the options selected by the user.
 *
 * @since 1.0.0
 *
 */
function mogsettings_social_sharing_buttons() {
 
    $perm = get_permalink();
    $title = get_the_title();
    
  
  
//  if ( ! genesis_get_option( 'mogsettings_facebook_link', MOGSETTINGS_SETTINGS_FIELD ) )
//	return; // No need to go any further if the main option is not checked

if ( genesis_get_option( 'mogsettings_facebook_link', MOGSETTINGS_SETTINGS_FIELD ) == 1 ) {

	if ( is_page() || is_single() || is_tax( 'wpsc_product_category' ) || is_singular( 'wpsc-product' ) ) {
echo '<div class="mogsettings-fb-like mogsettings-social-share">' . '<div id="fb-root"></div><script src="http://connect.facebook.net/en_US/all.js#xfbml=1"></script><fb:like href="'.$perm.'" send="false" layout="button_count" width="120" show_faces="false" action="like" font="lucida grande"></fb:like>' . '</div>';	}	
	}	

	elseif ( genesis_get_option( 'mogsettings_facebook_link', MOGSETTINGS_SETTINGS_FIELD ) == 2 ) {
	
	if ( is_page() ) {
echo '<div class="mogsettings-fb-like mogsettings-social-share">' . '<div id="fb-root"></div><script src="http://connect.facebook.net/en_US/all.js#xfbml=1"></script><fb:like href="'.$perm.'" send="false" layout="button_count" width="120" show_faces="false" action="like" font="lucida grande"></fb:like>' . '</div>';	}
	
} elseif ( genesis_get_option( 'mogsettings_facebook_link', MOGSETTINGS_SETTINGS_FIELD ) == 3 ) {

	if ( is_single()|| is_singular( 'wpsc-product' ) || is_tax( 'wpsc_product_category' )  ) {
echo '<div class="mogsettings-fb-like mogsettings-social-share">' . '<div id="fb-root"></div><script src="http://connect.facebook.net/en_US/all.js#xfbml=1"></script><fb:like href="'.$perm.'" send="false" layout="button_count" width="120" show_faces="false" action="like" font="lucida grande"></fb:like>' . '</div>';	}
	
} 

if (genesis_get_option ( 'mogsettings_twitter_link', MOGSETTINGS_SETTINGS_FIELD) == 1) {
 	
 	if ( is_page() || is_single() || is_tax( 'wpsc_product_category') || is_singular( 'wpsc-product' ) ) {
echo '<div class="mogsettings-tweet mogsettings-social-share">' . '<a href="http://twitter.com/share" class="twitter-share-button" data-count="horizontal" data-url="'.$perm.'" data-text="'.$title.'">Tweet</a><script type="text/javascript" src="http://platform.twitter.com/widgets.js"></script>' . '</div>';}
 	} 
 
    elseif ( genesis_get_option( 'mogsettings_twitter_link', MOGSETTINGS_SETTINGS_FIELD ) == 2 ) {
 if ( is_page() ) {
        echo '<div class="mogsettings-tweet mogsettings-social-share">' . '<a href="http://twitter.com/share" class="twitter-share-button" data-count="horizontal" data-url="'.$perm.'" data-text="'.$title.'">Tweet</a><script type="text/javascript" src="http://platform.twitter.com/widgets.js"></script>' . '</div>';}
} 

	elseif ( genesis_get_option ( 'mogsettings_twitter_link', MOGSETTINGS_SETTINGS_FIELD ) == 3 ){
 	
	if (is_single () || is_singular( 'wpsc-product' ) || is_tax( 'wpsc_product_category' ) ) {
 echo '<div class="mogsettings-tweet mogsettings-social-share">' . '<a href="http://twitter.com/share" class="twitter-share-button" data-count="horizontal" data-url="'.$perm.'" data-text="'.$title.'">Tweet</a><script type="text/javascript" src="http://platform.twitter.com/widgets.js"></script>' . '</div>';}
	} 
 
    if ( genesis_get_option( 'mogsettings_google_link', MOGSETTINGS_SETTINGS_FIELD ) == 1 ) {
    	if ( is_page() || is_single()  || is_tax( 'wpsc_product_category') || is_singular( 'wpsc-product' ) ) {
 echo '<div class="mogsettings-google mogsettings-social-share">' . '<g:plusone size="medium" href="'.$perm.'"></g:plusone><script type="text/javascript">
            (function() {
            var po = document.createElement("script"); po.type = "text/javascript"; po.async = true;
            po.src = "https://apis.google.com/js/plusone.js";
            var s = document.getElementsByTagName("script")[0]; s.parentNode.insertBefore(po, s);
            })();
        </script>' . '</div>';} 
}  elseif ( genesis_get_option( 'mogsettings_google_link', MOGSETTINGS_SETTINGS_FIELD ) == 2 ) {
	if ( is_page() ) {
	echo '<div class="mogsettings-google mogsettings-social-share">' . '<g:plusone size="medium" href="'.$perm.'"></g:plusone><script type="text/javascript">	
            (function() {
            var po = document.createElement("script"); po.type = "text/javascript"; po.async = true;
            po.src = "https://apis.google.com/js/plusone.js";
            var s = document.getElementsByTagName("script")[0]; s.parentNode.insertBefore(po, s);
            })();
        </script>' . '</div>';}
} 

elseif ( genesis_get_option( 'mogsettings_google_link', MOGSETTINGS_SETTINGS_FIELD ) == 3 ) {

	if (is_single()|| is_singular( 'wpsc-product' ) || is_tax( 'wpsc_product_category' ) ) {
echo '<div class="mogsettings-google mogsettings-social-share">' . '<g:plusone size="medium" href="'.$perm.'"></g:plusone><script type="text/javascript">
            (function() {
            var po = document.createElement("script"); po.type = "text/javascript"; po.async = true;
            po.src = "https://apis.google.com/js/plusone.js";
            var s = document.getElementsByTagName("script")[0]; s.parentNode.insertBefore(po, s);
            })();
        </script>' . '</div>';}
	} 

}

add_action('genesis_after_sidebar_widget_area','mog_menu_social', 10, 1);
 
/**
 * Add Social Icons to Bottom of Sidebar
 * See wp-includes/nav-menu-template.php for details.
 *
 * @param $menu, the current menu
 * @param $args array, Menu arguments
 * @return string, Final output of menu
 *
 */
 
function mog_menu_social() {
    $twitter = genesis_get_option('mogsettings_tw_url',  MOGSETTINGS_SETTINGS_FIELD );
    $facebook = genesis_get_option('mogsettings_fb_url',  MOGSETTINGS_SETTINGS_FIELD);
    $lastfm = genesis_get_option('mogsettings_lfm_url',  MOGSETTINGS_SETTINGS_FIELD);
    $social = '<div><ul><li class="social">';
    if (!empty($twitter)) $social .= '<a href="'. $twitter . '"><img src="'. get_bloginfo('stylesheet_directory') .'/images/twitter_ic.png" /></a> ';
    if (!empty($facebook)) $social .= '<a href="'. $facebook .'"><img src="'. get_bloginfo('stylesheet_directory') .'/images/facebook_ic.png" /></a> ';
    if (!empty($lastfm)) $social .= '<a href="'. $lastfm .'"><img src="'. get_bloginfo('stylesheet_directory') .'/images/lastfm_ic.png" /></a> ';
    $social .= '<a href="'. get_bloginfo('rss2_url') .'"><img src="'. get_bloginfo('stylesheet_directory') .'/images/rss_ic.png" /></a>';
    $social .= '</li></ul></div>';
    echo $social;
}